Bug 241158 - graphics/osg-devel: fix build on powerpc64 with clang
Summary: graphics/osg-devel: fix build on powerpc64 with clang
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-09 13:47 UTC by Piotr Kubaj
Modified: 2019-10-27 19:28 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (amdmi3)


Attachments
patch (3.60 KB, patch)
2019-10-09 13:47 UTC, Piotr Kubaj
pkubaj: maintainer-approval? (amdmi3)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-10-09 13:47:18 UTC
Created attachment 208202 [details]
patch

char is unsigned on powerpc*.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2019-10-12 05:13:11 UTC
Approved as mentor (builds on blackbird1) pending maintainer review.
Comment 2 commit-hook freebsd_committer 2019-10-27 19:28:18 UTC
A commit references this bug:

Author: pkubaj
Date: Sun Oct 27 19:27:51 UTC 2019
New revision: 515819
URL: https://svnweb.freebsd.org/changeset/ports/515819

Log:
  graphics/osg-devel: fix build on powerpc64 with clang

  char is unsigned on powerpc*.

  PR:		241158
  Approved by:	linimon (mentor), amdmi3 (maintainer timeout)

Changes:
  head/graphics/osg-devel/files/patch-src_osgDB_ConvertBase64.cpp
  head/graphics/osg-devel/files/patch-src_osgPlugins_osgjs_Base64
  head/graphics/osg-devel/files/patch-src_osgPlugins_osgjs_Base64.cpp